Перейти к содержимому


Фотография

Единая тема поиска плагинов L4D2


  • Авторизуйтесь для ответа в теме
Сообщений в теме: 2065

#1961 BloodyBlade

BloodyBlade

    Пользователь

  • Пользователь
  • PipPipPip
  • 306 сообщений

Отправлено 21 Май 2019 - 16:27

100 замени на свое значение.

Заменил/Проверил. Теперь конфликта нет. Спасибо.



#1962 Аня88

Аня88

    Новичок

  • Пользователь
  • Pip
  • 18 сообщений

Отправлено 22 Май 2019 - 11:15

Привет, ищу плагин Double jump для выживших, подскажите где можно посмотреть)

#1963 KRUTIK

KRUTIK

    Участник

  • Пользователь
  • PipPip
  • 112 сообщений

Отправлено 22 Май 2019 - 11:36

Привет, ищу плагин Double jump для выживших, подскажите где можно посмотреть)

тебе плагин скинул в тему, которую ты создавала на форуме, ты хоть заходи в тему и читай.


Сообщение отредактировал KRUTIK: 22 Май 2019 - 11:36


#1964 KRUTIK

KRUTIK

    Участник

  • Пользователь
  • PipPip
  • 112 сообщений

Отправлено 25 Май 2019 - 15:51

Для Алекса, вот ошибки
SourcePawn Compiler 1.9
Copyright © 1997-2006 ITB CompuPhase
Copyright © 2004-2017 AlliedModders LLC

plugin.sp(110) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(110) : warning 213: tag mismatch
plugin.sp(112) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(112) : warning 213: tag mismatch
plugin.sp(139) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(139) : warning 213: tag mismatch
plugin.sp(140) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(140) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(230) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(230) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(264) : warning 213: tag mismatch
plugin.sp(278) : warning 213: tag mismatch
plugin.sp(295) : warning 213: tag mismatch
plugin.sp(297) : warning 213: tag mismatch
plugin.sp(301) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(301) : warning 213: tag mismatch
plugin.sp(302) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(302) : warning 213: tag mismatch
plugin.sp(322) : warning 213: tag mismatch
plugin.sp(329) : warning 213: tag mismatch
plugin.sp(336) : warning 213: tag mismatch
plugin.sp(339) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(346) : warning 213: tag mismatch
plugin.sp(354) : warning 213: tag mismatch
plugin.sp(365) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(365) : warning 213: tag mismatch
plugin.sp(366) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(366) : warning 213: tag mismatch
plugin.sp(367) : warning 213: tag mismatch
plugin.sp(369) : warning 213: tag mismatch
plugin.sp(230) : warning 203: symbol is never used: "DamageDebug"
Code size: 10784 bytes
Data size: 5640 bytes
Stack/heap size: 16384 bytes
Total requirements: 32808 bytes

40 Warnings.

Прикрепленные файлы

  • Прикрепленный файл  SnareSpeak.sp   15,48К   2 Количество загрузок:

Сообщение отредактировал KRUTIK: 25 Май 2019 - 19:06


#1965 8rutu5

8rutu5

    Участник

  • Пользователь
  • PipPip
  • 122 сообщений

Отправлено 25 Май 2019 - 23:27

Для Алекса, вот ошибки
SourcePawn Compiler 1.9
Copyright © 1997-2006 ITB CompuPhase
Copyright © 2004-2017 AlliedModders LLC

plugin.sp(110) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(110) : warning 213: tag mismatch
plugin.sp(112) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(112) : warning 213: tag mismatch
plugin.sp(139) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(139) : warning 213: tag mismatch
plugin.sp(140) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(140) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(230) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(230) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(264) : warning 213: tag mismatch
plugin.sp(278) : warning 213: tag mismatch
plugin.sp(295) : warning 213: tag mismatch
plugin.sp(297) : warning 213: tag mismatch
plugin.sp(301) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(301) : warning 213: tag mismatch
plugin.sp(302) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(302) : warning 213: tag mismatch
plugin.sp(322) : warning 213: tag mismatch
plugin.sp(329) : warning 213: tag mismatch
plugin.sp(336) : warning 213: tag mismatch
plugin.sp(339) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(346) : warning 213: tag mismatch
plugin.sp(354) : warning 213: tag mismatch
plugin.sp(365) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(365) : warning 213: tag mismatch
plugin.sp(366) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(366) : warning 213: tag mismatch
plugin.sp(367) : warning 213: tag mismatch
plugin.sp(369) : warning 213: tag mismatch
plugin.sp(230) : warning 203: symbol is never used: "DamageDebug"
Code size: 10784 bytes
Data size: 5640 bytes
Stack/heap size: 16384 bytes
Total requirements: 32808 bytes

40 Warnings.

Тут нет ошибок, только предупреждения, связанные в основном с обновившимся синтаксисом SourcePawn. Плагин будет работать, просто есть предупреждения, которые в теории могут вызвать некорректную работу, что на моем опыте бывало редко.

P.S. tag mismatch желательно пофиксить, они иногда могут вызывать ошибки в вычислениях, особенно если там идут переводы из всяких целочисленных типов в типы с плавающей точкой.


Сообщение отредактировал 8rutu5: 25 Май 2019 - 23:28


#1966 BloodyBlade

BloodyBlade

    Пользователь

  • Пользователь
  • PipPipPip
  • 306 сообщений

Отправлено 25 Май 2019 - 23:42

Тут нет ошибок, только предупреждения, связанные в основном с обновившимся синтаксисом SourcePawn. Плагин будет работать, просто есть предупреждения, которые в теории могут вызвать некорректную работу, что на моем опыте бывало редко.
P.S. tag mismatch желательно пофиксить, они иногда могут вызывать ошибки в вычислениях, особенно если там идут переводы из всяких целочисленных типов в типы с плавающей точкой.

Даже с помощью данного компилятора: https://www.sourcemod.net/compiler.php те же самые предупреждения, что и с данным компилятором: https://spider.limetech.io/

#1967 Slaven555

Slaven555

    Пользователь

  • Пользователь
  • PipPipPip
  • 353 сообщений

Отправлено 26 Май 2019 - 0:16

Нужно обновить код на новый синтаксис)))

#1968 dr_lex

dr_lex

    Постоянный пользователь

  • Пользователь
  • PipPipPipPipPip
  • 474 сообщений

Отправлено 26 Май 2019 - 1:06

Для Алекса, вот ошибки
SourcePawn Compiler 1.9
Copyright © 1997-2006 ITB CompuPhase
Copyright © 2004-2017 AlliedModders LLC

plugin.sp(110) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(110) : warning 213: tag mismatch
plugin.sp(112) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(112) : warning 213: tag mismatch
plugin.sp(139) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(139) : warning 213: tag mismatch
plugin.sp(140) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(140) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(211) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(227) : warning 213: tag mismatch
plugin.sp(230) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(230) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(252) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(264) : warning 213: tag mismatch
plugin.sp(278) : warning 213: tag mismatch
plugin.sp(295) : warning 213: tag mismatch
plugin.sp(297) : warning 213: tag mismatch
plugin.sp(301) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(301) : warning 213: tag mismatch
plugin.sp(302) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(302) : warning 213: tag mismatch
plugin.sp(322) : warning 213: tag mismatch
plugin.sp(329) : warning 213: tag mismatch
plugin.sp(336) : warning 213: tag mismatch
plugin.sp(339) : warning 238: 'int:' is an illegal cast; use view_as<int>(expression)
plugin.sp(346) : warning 213: tag mismatch
plugin.sp(354) : warning 213: tag mismatch
plugin.sp(365) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(365) : warning 213: tag mismatch
plugin.sp(366) : warning 234: symbol "SetClientListening" is marked as deprecated: Use SetListenOverride() instead


plugin.sp(366) : warning 213: tag mismatch
plugin.sp(367) : warning 213: tag mismatch
plugin.sp(369) : warning 213: tag mismatch
plugin.sp(230) : warning 203: symbol is never used: "DamageDebug"
Code size: 10784 bytes
Data size: 5640 bytes
Stack/heap size: 16384 bytes
Total requirements: 32808 bytes

40 Warnings.

Прикрепленный файл  SnareSpeak.sp   15,31К   6 Количество загрузок:
  • Slaven555 это нравится

#1969 Pricolist

Pricolist

    Участник

  • Пользователь
  • PipPip
  • 94 сообщений

Отправлено 26 Май 2019 - 4:19

Исправь event.GetInt и event.GetBool.



#1970 KRUTIK

KRUTIK

    Участник

  • Пользователь
  • PipPip
  • 112 сообщений

Отправлено 26 Май 2019 - 8:28

спасибо огромное dr_lex 



#1971 dr_lex

dr_lex

    Постоянный пользователь

  • Пользователь
  • PipPipPipPipPip
  • 474 сообщений

Отправлено 26 Май 2019 - 10:16

Исправь event.GetInt и event.GetBool.

между старыми и новыми event.GetInt и event.GetBool пока нету особо разницы, есть и другие функции которые тут можно обновить. Странно что вы только про эти написали.
 

спасибо огромное dr_lex

Посмотрел ещё раз код. Заменил и немного изменил некоторые строки. Если будет хорошо работать передать автору на AM форум, ему и другим будет полезно.

Прикрепленные файлы

  • Прикрепленный файл  SnareSpeak.sp   14,89К   3 Количество загрузок:

Сообщение отредактировал dr_lex: 26 Май 2019 - 10:16

  • KRUTIK и BloodyBlade это нравится

#1972 KRUTIK

KRUTIK

    Участник

  • Пользователь
  • PipPip
  • 112 сообщений

Отправлено 26 Май 2019 - 11:16

между старыми и новыми event.GetInt и event.GetBool пока нету особо разницы, есть и другие функции которые тут можно обновить. Странно что вы только про эти написали.
 
Посмотрел ещё раз код. Заменил и немного изменил некоторые строки. Если будет хорошо работать передать автору на AM форум, ему и другим будет полезно.

спасибо огромное



#1973 Pricolist

Pricolist

    Участник

  • Пользователь
  • PipPip
  • 94 сообщений

Отправлено 26 Май 2019 - 12:07

между старыми и новыми event.GetInt и event.GetBool пока нету особо разницы, есть и другие функции которые тут можно обновить. Странно что вы только про эти написали.
 

Ничего странного! Я Всего лишь вам преподнёс мелочь. А дальше уже вам решать, изменять код к лучшему или нет))



#1974 megaboy161

megaboy161

    Новичок

  • Пользователь
  • Pip
  • 13 сообщений

Отправлено 31 Май 2019 - 12:41

Ребят где найти плагин "Points System" (1.8.0) by McFlurry & evilmaniac and modified by Psykotik



#1975 BloodyBlade

BloodyBlade

    Пользователь

  • Пользователь
  • PipPipPip
  • 306 сообщений

Отправлено 31 Май 2019 - 13:38

Ребят где найти плагин "Points System" (1.8.0) by McFlurry & evilmaniac and modified by Psykotik

https://forums.allie...11&postcount=35 - (кооп/версус)

https://forums.allie...96&postcount=78 - последняя версия плагина (только кооп)

Обе версии рабочие.

 

P.S.: Psykotik не публиковал свою модифицированную версию плагина.


Сообщение отредактировал BloodyBlade: 31 Май 2019 - 13:41


#1976 megaboy161

megaboy161

    Новичок

  • Пользователь
  • Pip
  • 13 сообщений

Отправлено 31 Май 2019 - 13:41

Мне нужна с переводом на русский именно от modified by Psykotik



#1977 BloodyBlade

BloodyBlade

    Пользователь

  • Пользователь
  • PipPipPip
  • 306 сообщений

Отправлено 31 Май 2019 - 13:46

Мне нужна с переводом на русский именно от modified by Psykotik

https://forums.allie...03&postcount=47 - с переводом.

А именно  modified by Psykotik спрашивай  у Psykotik. В свободном доступе его нет.


Сообщение отредактировал BloodyBlade: 31 Май 2019 - 13:48


#1978 megaboy161

megaboy161

    Новичок

  • Пользователь
  • Pip
  • 13 сообщений

Отправлено 31 Май 2019 - 14:11

https://forums.allie...03&postcount=47 - с переводом.

А именно  modified by Psykotik спрашивай  у Psykotik. В свободном доступе его нет.

Да я так и понял но где его найти  Psykotik?



#1979 AlexMy

AlexMy

    Постоянный пользователь

  • Пользователь
  • PipPipPipPipPip
  • 751 сообщений

Отправлено 31 Май 2019 - 14:29

Да я так и понял но где его найти  Psykotik?

https://forums.allie...er.php?u=181166



#1980 dr_lex

dr_lex

    Постоянный пользователь

  • Пользователь
  • PipPipPipPipPip
  • 474 сообщений

Отправлено 31 Май 2019 - 19:30

Да я так и понял но где его найти  Psykotik?

https://forums.allie...96&postcount=78




Количество пользователей, читающих эту тему: 0

0 пользователей, 0 гостей, 0 анонимных